# Arguments
SEARCH=$1

# Throw an error if no arguments are provided
if [ "$*" == "" ]; then
    echo "You must provide arguments. ./command-search.sh <search query>"
    exit 1
fi

# Take these arguments and search the manpage for the search query
ls /usr/bin | grep -x $SEARCH --color=auto || echo "This command is not available/installed"

